## freedict 2021.01.05

=== afr-deu/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README afr-deu.tei \
            freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

#$(dictname).tei: $(dictname).tei.header

=== afr-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING afr-eng.tei INSTALL Makefile NEWS README \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

#$(dictname).tei: $(dictname).tei.header

=== ces-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Makefile COPYING INSTALL NEWS README AUTHORS ces-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname).tei: $(dictname).tei.header

#3clean::
#	rm -f $(toolsdir)/ergane/zip/cze.zip

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== cym-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING cym-eng.tei INSTALL Makefile freedict-P5.dtd \
            freedict-dictionary.css freedict-P5.rng freedict-P5.xml
supported_phonetics=

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== dan-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Makefile AUTHORS COPYING INSTALL NEWS README ChangeLog dan-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname).tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== deu-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS COPYING ChangeLog Makefile deu-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

# Clear this variable, because currently the .tei file already contains
# phonetics information.  This will have to be removed, when proper import from
# upstream is implemented.
supported_phonetics =

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== deu-por/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING deu-por.tei INSTALL Makefile NEWS README \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-dan/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Makefile AUTHORS COPYING INSTALL NEWS README ChangeLog eng-dan.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname).tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-deu/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = ChangeLog eng-deu.tei Makefile \
	freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-ell/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS COPYING INSTALL eng-ell.tei freedict-dictionary.css freedict-P5.dtd \
freedict-P5.rng freedict-P5.xml Makefile README ChangeLog
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-hrv/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = eng-hrv.tei Makefile README INSTALL freedict-P5.dtd \
freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#clean::
#	-rm $(dictname).tei

=== eng-ita/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README eng-ita.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== debian/changelog ===
freedict (2021.01.05-4) unstable; urgency=medium

  * Document that a lot of RAM is required to build this package (Closes
    #997521).
    FreeDict dictionaries are processed using a stylesheet that has a RAM
    requirement of > 16GB, see #998683. Rebuilds of the package have to
    provide more than 16GB of RAM.

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 06 Nov 2021 11:36:03 +0100

freedict (2021.01.05-3) unstable; urgency=medium

  * properly disable parallel builds (Closes: #982730)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 03 Mar 2021 18:26:24 +0100

freedict (2021.01.05-2) unstable; urgency=medium

  * rules: Decrease --max-parallel to 1 (Closes: #982730)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 16 Feb 2021 22:45:56 +0100

freedict (2021.01.05-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 06 Jan 2021 14:16:14 +0100

freedict (1.3-1) unstable; urgency=low

  * Updated with new upstream versions of eng-ara, hun-eng (Closes: #337130),
    swa-eng and tur-eng dictionaries, added new dictionaries: cro-eng, eng-cro,
    eng-cze, eng-hin, eng-swa, eng-tur and hin-eng. So, the source tarball
    version bumped to 1.3.
  * debian/control:
    - changed Build-Depends on dictfmt package to dictfmt (>> 1.10.0);
    - removed Build-Depends on locales package, because option
      '--locale xx_YY.UTF-8' is no more required for dictfmt.
  * Changed the word 'Nederland' to 'Dutch' in the package descriptions
    (debian/control) and in the dictionary headers for dictionaries: deu-nld,
    eng-nld, fra-nld, nld-deu, nld-eng and nld-fra (Closes: #330802).
  * The dictionary sco-deu renamed to gla-deu, and in the package descriptions
    and in the dictionary header reference 'Scottish' changed to
    'Scottish Gaelic'. Added 'Conflicts: dict-freedict-sco-deu' and
    'Replaces: dict-freedict-sco-deu' to dict-freedict-gla-deu package.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #318025).
  * Fixed typo in debian/postinst. Thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #335378).
  * debian/copyright: changed 'Authors:' and 'Copyright:' parts of this file,
    by naming all authors of each dictionary. Thanks to Joost van Baal
    <joostvb@mdcc.cx> for suggestion.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 12 Dec 2005 08:54:25 +0200

=== debian/control ===
Source: freedict
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), freedict-tools (>= 0.5.0)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://freedict.org/
Vcs-Browser: https://salsa.debian.org/freedict-team/dictionaries
Vcs-Git: https://salsa.debian.org/freedict-team/dictionaries.git


Package: dict-freedict-afr-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-German dictionary for the dict server/client
 This is the Afrikaans-German dictionary from the FreeDict project. It contains
 3800 headwords (FreeDict status: too small). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-afr-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-English dictionary for the dict server/client
 This is the Afrikaans-English dictionary from the FreeDict project. It
 contains 5129 headwords (FreeDict status: small). It can be either used with
 the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-ara-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Arabic-English dictionary for the dict server/client
 This is the Arabic-English dictionary from the FreeDict project. It contains
 52996 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-bre-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Breton-French dictionary for the dict server/client
 This is the Breton-French dictionary from the FreeDict project. It contains
 27034 headwords (FreeDict status: Big enough to be useful). It can be either
 used with the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-ces-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Czech-English dictionary for the dict server/client
 This is the Czech-English dictionary from the FreeDict project. It contains
 488 headwords (FreeDict status: too small). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-ckb-kmr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Central Kurdish-Northern Kurdish dictionary for the dict server/client
 This is the Central Kurdish-Northern Kurdish dictionary from the FreeDict
 project. It contains 7845 headwords (FreeDict status: stable). It can be
 either used with the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-cym-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Welsh-English dictionary for the dict server/client
 This is the Welsh-English dictionary from the FreeDict project. It contains
 12630 headwords (FreeDict status: big enough). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-dan-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Danish-English dictionary for the dict server/client
 This is the Danish-English dictionary from the FreeDict project. It contains
 5097 headwords (FreeDict status: too small). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-deu-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-English dictionary for the dict server/client
 This is the German-English dictionary from the FreeDict project. It contains
 463244 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-deu-ita
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Italian dictionary for the dict server/client
 This is the German-Italian dictionary from the FreeDict project. It contains
 4443 headwords (FreeDict status: small). It can be either used with the dictd
 server and a dict client or with GoldenDict.

Package: dict-freedict-deu-kur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Kurdish dictionary for the dict server/client
 This is the German-Kurdish dictionary from the FreeDict project. It contains
 22567 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-deu-nld
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Dutch dictionary for the dict server/client
 This is the German-Dutch dictionary from the FreeDict project. It contains
 12784 headwords (FreeDict status: small). It can be either used with the dictd
 server and a dict client or with GoldenDict.

Package: dict-freedict-deu-por
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Portuguese dictionary for the dict server/client
 This is the German-Portuguese dictionary from the FreeDict project. It
 contains 8722 headwords (FreeDict status: too small). It can be either used
 with the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-deu-tur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Turkish dictionary for the dict server/client
 This is the German-Turkish dictionary from the FreeDict project. It contains
 36219 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-afr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Afrikaans dictionary for the dict server/client
 This is the English-Afrikaans dictionary from the FreeDict project. It
 contains 6397 headwords (FreeDict status: small). It can be either used with
 the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-ara
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Arabic dictionary for the dict server/client
 This is the English-Arabic dictionary from the FreeDict project. It contains
 87424 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-ces
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Czech dictionary for the dict server/client
 This is the English-Czech dictionary from the FreeDict project. It contains
 150004 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-cym
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Welsh dictionary for the dict server/client
 This is the English-Welsh dictionary from the FreeDict project. It contains
 12630 headwords (FreeDict status: big enough). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-dan
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Danish dictionary for the dict server/client
 This is the English-Danish dictionary from the FreeDict project. It contains
 411 headwords (FreeDict status: too small). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-German dictionary for the dict server/client
 This is the English-German dictionary from the FreeDict project. It contains
 408553 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-ell
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Modern Greek dictionary for the dict server/client
 This is the English-Modern Greek dictionary from the FreeDict project. It
 contains 20973 headwords (FreeDict status: big enough to be useful). It can be
 either used with the dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-French dictionary for the dict server/client
 This is the English-French dictionary from the FreeDict project. It contains
 8799 headwords (FreeDict status: small). It can be either used with the dictd
 server and a dict client or with GoldenDict.

Package: dict-freedict-eng-gle
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Irish dictionary for the dict server/client
 This is the English-Irish dictionary from the FreeDict project. It contains
 1359 headwords (FreeDict status: too small). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-hin
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Hindi dictionary for the dict server/client
 This is the English-Hindi dictionary from the FreeDict project. It contains
 25642 headwords (FreeDict status: low quality). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-hrv
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Croatian dictionary for the dict server/client
 This is the English-Croatian dictionary from the FreeDict project. It contains
 59194 headwords (FreeDict status: stable). It can be either used with the
 dictd server and a dict client or with GoldenDict.

Package: dict-freedict-eng-hun
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Hungarian dictionary for the dict server/client
 This is the English-Hungarian dictionary from the FreeDict project. It
 contains 89679 headwords (FreeDict status: stable). It can be either used with

## freedict 2022.04.21

=== ckb-kmr/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = sor-kur.txt Makefile ckb-kmr.tei ckb-kmr.tei.header README ChangeLog \
  INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICT_TOOLS)/mk/dicts.mk
#$(dictname).tei: sor-kur.txt $(dictname).tei.header \
#	$(toolsdir)/xdf2tei.pl
#	cat $(dictname).tei.header >$@
#	$(toolsdir)/xdf2tei.pl <$< >>$@
#	echo "</body></text></TEI.2>" >>$@

#clean::
#	-rm $(dictname).tei

=== deu-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING Makefile deu-eng.tei \
	freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== deu-ita/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING INSTALL Makefile deu-ita.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== deu-kur/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Deutsch-Kurdî.txt Makefile deu-kur.tei deu-kur.tei.header README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== deu-nld/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README deu-nld.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-afr/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README eng-afr.tei \
   freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-ara/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING eng-ara.tei Makefile README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
UNSUPPORTED_PLATFORMS = evolutionary

#clean::
#	rm -f ara-eng.c5 ara-eng.c5.index ara-eng.c5.dict
#	rm -f eng-ara.c5 eng-ara.c5.index eng-ara.c5.dict
#	rm -f *.dz *.bz2 eng-ara.tei

=== eng-cym/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING eng-cym.tei INSTALL Makefile freedict-P5.dtd freedict-dictionary.css freedict-P5.rng freedict-P5.xml
supported_phonetics=

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-deu/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING Makefile eng-deu.tei freedict-P5.dtd freedict-P5.rng \
	freedict-P5.xml freedict-dictionary.css

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-fra/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Makefile COPYING INSTALL NEWS README eng-fra.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-hun/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = ChangeLog COPYING eng-hun.tei \
	freedict-P5.xml freedict-P5.rng freedict-P5.dtd freedict-dictionary.css Makefile
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-nld/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = Makefile COPYING INSTALL NEWS README ChangeLog eng-nld.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== debian/changelog ===
freedict (2022.04.21-1) unstable; urgency=medium

  * New upstream version
  * Document that a lot of RAM is required to build this package (Closes
    #997521).
    FreeDict dictionaries are processed using a stylesheet that has a RAM
    requirement of > 16GB, see #998683. Rebuilds of the package have to
    provide more than 16GB of RAM.

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 21 Apr 2022 18:05:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper-compat (= 13), freedict-tools (>= 0.5.0)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), freedict-tools (>= 0.6.0)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://freedict.org/
 Vcs-Browser: https://salsa.debian.org/freedict-team/dictionaries
@@ -97,7 +97,7 @@
 Provides: dictd-dictionary
 Description: German-English dictionary for the dict server/client
  This is the German-English dictionary from the FreeDict project. It contains
- 463244 headwords (FreeDict status: stable). It can be either used with the
+ 517534 headwords (FreeDict status: stable). It can be either used with the
  dictd server and a dict client or with GoldenDict.
 
 Package: dict-freedict-deu-ita
@@ -207,7 +207,7 @@
 Provides: dictd-dictionary
 Description: English-German dictionary for the dict server/client
  This is the English-German dictionary from the FreeDict project. It contains
- 408553 headwords (FreeDict status: stable). It can be either used with the
+ 460315 headwords (FreeDict status: stable). It can be either used with the
  dictd server and a dict client or with GoldenDict.
 
 Package: dict-freedict-eng-ell

=== debian/rules ===
#!/usr/bin/make -f

FREEDICT_TOOLS = /usr/share/freedict
export FREEDICT_TOOLS

DICTS=$(strip $(shell find . -maxdepth 1 -name '???-???'|sort |sed 's|^\./||g'|tr '\n' ' '))

# If the environment variable BUILD_MODE=dummy is set, no dictionaries are
# build, but only dummy files are created. This is useful for test builds of the
# package, because the actual build takes ages.
BUILD_MODE ?= normal

# pass parallelisation through from debhelper
#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#    MAKEFLAGS += -j$(NUMJOBS)
#endif

%:
	dh $@ --max-parallel=1

override_dh_auto_build: $(DICTS)

$(DICTS):
ifeq ($(BUILD_MODE),normal)
	$(MAKE) -C $@ build-dictd
else
	mkdir -p $@/build/dictd
	touch $@/build/dictd/$@.dict.dz $@/build/dictd/$@.index
endif

override_dh_auto_clean:
	dh_clean
	dh_testdir
	rm -f build-stamp timestamp configure-stamp
	rm -rf config.txt
	for DICT in $(DICTS); do \
		rm -rf $$DICT/build; \
		rm -rf debian/dict-freedict-$$DICT.dirs; \
		rm -rf debian/dict-freedict-$$DICT.docs; \
		rm -rf debian/dict-freedict-$$DICT.postinst; \
		rm -rf debian/dict-freedict-$$DICT.postrm; \
	done
	dh_clean


override_dh_auto_install:
	# create debian/dict-freedict-$LANG.dirs file and maint scripts
	for DICT in $(DICTS); do \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-dirs.tmpl > \
			debian/dict-freedict-$$DICT.dirs; \
		cp debian/postinst debian/dict-freedict-$$DICT.postinst; \
		cp debian/postrm debian/dict-freedict-$$DICT.postrm; \
	done

	dh_installdirs

	# copy files to final destination
	for DICT in $(DICTS); do \
		cp $$DICT/build/dictd/$$DICT.dict.dz debian/dict-freedict-$$DICT/usr/share/dictd/freedict-$$DICT.dict.dz; \
		cp $$DICT/build/dictd/$$DICT.index debian/dict-freedict-$$DICT/usr/share/dictd/freedict-$$DICT.index; \
	done

	# generate *.docs-files:
	sh debian/gendocs.sh
	dh_install

# this rule is explicitly here to document the source retrieval workflow
# requires python3
fetch-orig:
	python3 $(FREEDICT_TOOLS)/fetchdictdata.py --orig --criteria 'sourceURL!wikdict'

# generate debian/copyright and debian/control
gen-cc:
	python3 $(FREEDICT_TOOLS)/fetchdictdata.py --dc --criteria 'sourceURL!wikdict' --no-desc-version

.PHONY: override_dh_auto_build_indep override_dh_auto_clean override_dh_auto_install $(DICTS)
